# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ogatstyle/version'

Gem::Specification.new do |spec|
  spec.name          = 'ogatstyle'
  spec.version       = Ogatstyle::VERSION
  spec.required_ruby_version = '>= 2.3.0'
  spec.authors       = ['Elliot Bowes', 'Tom Crouch']
  spec.email         = ['e.bowes@outwood.com']

  spec.summary       = 'OGAT Style Gem'
  spec.description   = 'Provides SCSS stylesheets and assets for OGAT websites.'
  spec.homepage      = 'https://github.com/Outwood/ogatstyle'
  spec.license       = 'MIT'

  spec.files         =
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'activesupport', '>= 4.0', '< 6.0'
  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.2'
  spec.add_development_dependency 'rubocop-ogat', '~> 1.39.0'
  spec.add_dependency 'bootstrap-sass', '~> 3.3'
  spec.add_dependency 'font-awesome-sass', '>= 4.2', '< 6.0'
  spec.add_dependency 'rails', '>= 4.1'
  spec.add_dependency 'sassc-rails', '~> 2.1'
  spec.add_dependency 'sprockets-rails', '>= 3'
end
